Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DocumentAccess

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DocumentAccess

    public class DocumentAccess

extends java.lang.Object

DocumentAccess
Réalise les opérations relatives aux documents dans la base de données
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.4 $
Author:
  Mathieu Larchet

Constructor Summary
`DocumentAccess()`

Method Summary
`static void` | `createDocument(org.esupportail.portal.utils.database.Query query, Document doc)` Crée un nouveau document
`static boolean` | `documentExist(org.esupportail.portal.utils.database.Query query, Document doc)` Teste si un document existe déjà
`static Document` | `getDocument(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id)` Retourne un document
`static java.util.List` | `getDocuments(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id)` Retourne la liste des documents d'un dossier
`static java.lang.String` | `getLinkedDocument(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id)` Retourne l'identifiant du document lié
`static java.lang.String` | `getNextDocument(org.esupportail.portal.utils.database.Query query, java.lang.String intranet)` Retourne le prochain identifiant de document
`static void` | `removeDocument(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id)` Supprime un document
`static void` | `removeDocuments(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id)` Supprime tous les documents d'un dossier
`static void` | `setLinkedDocument(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id, java.lang.String idl)` Positionne l'identifiant du document lié
`static void` | `setPendingDeletion(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id, boolean delete)` Positionne une suppression en cours
`static void` | `setPendingModification(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id, boolean modif)` Positionne une modification en cours
`static void` | `setValid(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id, boolean valid)` Positionne la validité d'un document
`static void` | `setVisible(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id, boolean visible)` Positionne la visibilité d'un document
`static void` | `unlinkDocument(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id)` Supprime le lien entre documents liés
`static void` | `updateDocument(org.esupportail.portal.utils.database.Query query, Document doc)` Modifie un document existant

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentAccess

    public DocumentAccess()

Method Detail

### getDocument

    public static Document getDocument(org.esupportail.portal.utils.database.Query query,
                                       java.lang.String intranet,
                                       java.lang.String id)
                                throws DataException

  Retourne un document

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document
  Returns:
    doc Le document
  Throws:
    `DataException`

### getLinkedDocument

    public static java.lang.String getLinkedDocument(org.esupportail.portal.utils.database.Query query,
                                                     java.lang.String intranet,
                                                     java.lang.String id)
                                              throws DataException

  Retourne l'identifiant du document lié

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document père
  Returns:
    id L'identifiant
  Throws:
    `DataException`

### setLinkedDocument

    public static void setLinkedDocument(org.esupportail.portal.utils.database.Query query,
                                         java.lang.String intranet,
                                         java.lang.String id,
                                         java.lang.String idl)
                                  throws DataException

  Positionne l'identifiant du document lié

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document père
    `idl` - L'identifiant du document lié
  Throws:
    `DataException`

### unlinkDocument

    public static void unlinkDocument(org.esupportail.portal.utils.database.Query query,
                                      java.lang.String intranet,
                                      java.lang.String id)
                               throws DataException

  Supprime le lien entre documents liés

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document père
  Throws:
    `DataException`

### getDocuments

    public static java.util.List getDocuments(org.esupportail.portal.utils.database.Query query,
                                              java.lang.String intranet,
                                              java.lang.String id)
                                       throws DataException

  Retourne la liste des documents d'un dossier

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du dossier
  Returns:
    docs La liste des documents
  Throws:
    `DataException`

### createDocument

    public static void createDocument(org.esupportail.portal.utils.database.Query query,
                                      Document doc)
                               throws DataException

  Crée un nouveau document

  Parameters:
    `query` - La connexion à utiliser
    `doc` - Le document à créer
  Throws:
    `DataException`

### updateDocument

    public static void updateDocument(org.esupportail.portal.utils.database.Query query,
                                      Document doc)
                               throws DataException

  Modifie un document existant

  Parameters:
    `query` - La connexion à utiliser
    `doc` - Le document à modifier
  Throws:
    `DataException`

### removeDocument

    public static void removeDocument(org.esupportail.portal.utils.database.Query query,
                                      java.lang.String intranet,
                                      java.lang.String id)
                               throws DataException

  Supprime un document

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document
  Throws:
    `DataException`

### removeDocuments

    public static void removeDocuments(org.esupportail.portal.utils.database.Query query,
                                       java.lang.String intranet,
                                       java.lang.String id)
                                throws DataException

  Supprime tous les documents d'un dossier

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

### setValid

    public static void setValid(org.esupportail.portal.utils.database.Query query,
                                java.lang.String intranet,
                                java.lang.String id,
                                boolean valid)
                         throws DataException

  Positionne la validité d'un document

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document
    `valid` - La validité
  Throws:
    `DataException`

### setVisible

    public static void setVisible(org.esupportail.portal.utils.database.Query query,
                                  java.lang.String intranet,
                                  java.lang.String id,
                                  boolean visible)
                           throws DataException

  Positionne la visibilité d'un document

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document
    `visible` - La visibilité du document
  Throws:
    `DataException`

### setPendingModification

    public static void setPendingModification(org.esupportail.portal.utils.database.Query query,
                                              java.lang.String intranet,
                                              java.lang.String id,
                                              boolean modif)
                                       throws DataException

  Positionne une modification en cours

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document
    `modif` - La modification
  Throws:
    `DataException`

### setPendingDeletion

    public static void setPendingDeletion(org.esupportail.portal.utils.database.Query query,
                                          java.lang.String intranet,
                                          java.lang.String id,
                                          boolean delete)
                                   throws DataException

  Positionne une suppression en cours

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du document
    `delete` - La suppression
  Throws:
    `DataException`

### documentExist

    public static boolean documentExist(org.esupportail.portal.utils.database.Query query,
                                        Document doc)
                                 throws DataException

  Teste si un document existe déjà

  Parameters:
    `query` - La connexion à utiliser
    `doc` - Le document à tester
  Returns:
    boolean True si le document existe, false sinon
  Throws:
    `DataException`

### getNextDocument

    public static java.lang.String getNextDocument(org.esupportail.portal.utils.database.Query query,
                                                   java.lang.String intranet)
                                            throws DataException

  Retourne le prochain identifiant de document

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
  Returns:
    L'identifiant suivant
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD